#ifndef QUESTION_H
#define QUESTION_H

#include <QString>
#include <unordered_set>

class QuestionEntity
{
public:
    QuestionEntity();
    bool checkAnswers(std::unordered_set<QString> p_answers);

    void setQuestion(QString& p_question);
    void setAnswers(std::unordered_set<QString>& p_answers);

private:
    QString question;
    std::unordered_set<QString> answers;
    bool multivalue;  //Does quesion has multiple answers
};

#endif // QUESTION_H
